Bug 489477 - Packagekit refuses to install groups (says that already installed)
Packagekit refuses to install groups (says that already installed)
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: PackageKit (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
: 526296 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-10 06:12 EDT by Nikos Charonitakis
Modified: 2010-03-22 12:00 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-03-22 12:00:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nikos Charonitakis 2009-03-10 06:12:29 EDT
Description of problem:
Select a group for installation.
Trying to perform actual installation.
Packagekit says that group is already installed.
Using yum groupinstall, installation is done.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 iarly selbir 2009-03-10 21:39:23 EDT
what the group are you trying install?

paste the yum output.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 2 Richard Hughes 2009-03-11 06:10:33 EDT
How did you install an already installed group?
Comment 3 Nikos Charonitakis 2009-04-07 17:46:55 EDT
further testing:

Now i have at least 3 groups that cannot be installed neither from packagekit nor from command line.
When i first reported this bug command line worked.

My available groups:
Available Groups:
   Fedora Eclipse
   LXDE
   XFCE
   Ανάπτυξη Haskell
   Ανάπτυξη λογισμικού GNOME
   Ανάπτυξη λογισμικού Java
   Ανάπτυξη λογισμικού KDE
   Ανάπτυξη λογισμικού για XFCE
   Ανάπτυξη λογισμικού για Χ
   Ανάπτυξη προγραμμάτων Ιστού
   Βάση δεδομένων PostgreSQL
   Δημιουργός πακέτων Fedora
   Διακομιστής ονομάτων DNS
   Διαχειριστές παραθύρων
   Εκπαιδευτικό λογισμικό
   Εξυπηρετητής FTP
   Εξυπηρετητής News
   Επιφάνεια εργασίας KDE
   Επιφάνειες εργασίας SUGAR
   Συστοίχιση

Failing groups:
Educational software (Εκπαιδευτικό λογισμικό), web development (Ανάπτυξη λογισμικού Ιστού) and Window Managers(Διαχειριστές παραθύρων) cannot be installed. 

Packagekit informs:
"the package you try to install is already installed"
More details:
"The packages failed to be installed"

From command line (trying both Greek and English group name) yum says:

"Loaded plugins: refresh-packagekit
Setting up Group Process
No packages in any requested group available to install or update"

So, yum bug? comps bug? localization bug?
i really don't know :)
Comment 4 Steven M. Parrish 2009-09-07 22:09:07 EDT
Is this still an issue?

-- 
Steven M. Parrish - KDE Triage Master
                  - PackageKit Triager
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 5 Nikos Charonitakis 2009-10-10 05:01:48 EDT
yes, some groups still refuse to install (f11 full updated)
Comment 6 Bug Zapper 2009-11-18 06:19:25 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Steven M. Parrish 2009-11-18 16:30:16 EST
Rebasing this to F11 the latest release where the problem has been reported.
Comment 8 Christoph Wickert 2010-03-09 09:25:55 EST
IMHO this is fixed in PackageKit-0.5.7-1 (if not earlier). Nikos, can you confirm this?

The problem is not PackageKit but yum's definition of an "installed" group. See bug 526296 for more info.
Comment 9 Christoph Wickert 2010-03-09 09:27:16 EST
*** Bug 526296 has been marked as a duplicate of this bug. ***
Comment 10 Bug Zapper 2010-03-15 08:28:08 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 13 development cycle.
Changing version to '13'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.